// 引入全局mixin
import myApp from './libs/app/app'
import mixin from './libs/mixin/mixin.js'
// 引入 ElementUI
import ElementUI from 'element-ui';
import '@/assets/iconfont.css';
import 'element-ui/lib/theme-chalk/index.css';
//表单生成组件
import formCreate from '@form-create/element-ui'

import 'xe-utils'
import VXETable from 'vxe-table'
import 'vxe-table/lib/style.css'


import VXETablePluginElement from 'vxe-table-plugin-element'
import 'vxe-table-plugin-element/dist/style.css'
VXETable.use(VXETablePluginElement)

// 引入axios 网络请求
import http from './libs/request'

// 引入公用的工具类库
import BTool from './libs/utils/btool'

// 引入自己的组件
import yunButton from './components/yun-button/yun-button'
import yunTable from './components/yun-table/yun-table'
import yunFormTemp from './components/yun-form-temp/yun-form-temp'
import yunTree from './components/yun-tree/yun-tree'
import yunTablePro from './components/yun-table-pro/yun-table-pro'
import yunTableColumn from './components/yun-table-column/yun-table-column'
import ysmButtons from './components/ysm-buttons/ysm-buttons'
import yjReferenceTemplate from './components/yj-reference-template/yj-reference-template'
import yjFormTemplte from './components/yj-form-template/yj-form-template'
import yjDoubleTableFormTemplateByCard from './components/yj-double-table-form-template-by-card/yj-double-table-form-template-by-card'
import yjFormTemplateByCard from './components/yj-form-template-by-card/yj-form-template-by-card'
import ysmTree from './components/ysm-tree/ysm-tree'
import rightSlotTools from './components/right-slot-tools/right-slot-tools'
import rightPanel from './components/right-panel/right-panel'
import yjReportForm from './components/yj-report-form/yj-report-form'
import yjReportFormQueryTemplate from './components/yj-report-form-query-template/yj-report-form-query-template'
import yjQueryTemplate from './components/yj-query-template/yj-query-template'
import yjQueryTemplateWithReference from './components/yj-query-template-with-reference/yj-query-template-with-reference'
import yjQueryTemplateModal from './components/yj-query-template-modal/yj-query-template-modal'
import yjReferenceTemplateModal from './components/yj-reference-template-modal/yj-reference-template-modal'
import yjTreeReferenceTemplate from './components/yj-tree-reference-template/yj-tree-reference-template'
import yjTreetableReferenceTemplate from './components/yj-treetable-reference-template/yj-treetable-reference-template'


const components = [
	yunButton,
	yunTable,
	yunFormTemp,
	yunTree,
	yunTablePro,
	yunTableColumn,
	ysmButtons,
	yjReferenceTemplate,
	yjFormTemplte,
	yjDoubleTableFormTemplateByCard,
	yjFormTemplateByCard,
	ysmTree,
	rightSlotTools,
	rightPanel,
	yjReportForm,
	yjReportFormQueryTemplate,
	yjQueryTemplate,
	yjQueryTemplateModal,
	yjReferenceTemplateModal,
	yjTreeReferenceTemplate,
	yjTreetableReferenceTemplate,
	yjQueryTemplateWithReference
]

// 定义的全局参数
const yun = {
	get:http.get,
	post:http.post,
	put:http.put,
	delete:http.delete,
	custom:http.custom,
	http,
	app:myApp
}
// 初始化入口
const install = Vue => {
	Vue.use(ElementUI);
	Vue.use(formCreate)
	Vue.use(VXETable)
	// 使用自己的组件
	components.map(component => {
		Vue.component(component.name, component);
	})
	Vue.mixin(mixin);
	Vue.prototype.yun = yun
	Vue.prototype.BTool = BTool
	Vue.prototype.$XModal = VXETable.modal
}

export default {
	install
}
