import axios from 'axios'
import qs from 'qs'

let netWork = {};


const request = axios.create({
    timeout: 600000
    // timeout: 200000
});
netWork.request =request;

// get请求
netWork.get = (url, datas = {}) => {
    var data = qs.stringify(datas)
    var parmsToUrl=''
    if (data!=''&&null!=data){
        parmsToUrl='?'+data
    }
    return request({
        url: url+parmsToUrl,
        method: 'GET',
        datas
    })
}

// post请求
netWork.post = async (url, datas = {}) => {
    var data = qs.stringify(datas)
    return  request({
        url: url,
        method: 'POST',
        data
    });
}

// put请求
netWork.put = (url, datas = {}) => {
    var data = qs.stringify(datas)
    return request({
        url: url,
        method: 'PUT',
        data
    })
}

// delete请求
netWork.delete = (url, datas = {}, header = {}) => {
    var data = qs.stringify(datas)
    return request({
        url: url,
        method: 'DELETE',
        header: header || this.headers,
        params:data
    })
}// delete请求
netWork.custom = (baseurl,url,method, datas = {}) => {
    var data = qs.stringify(datas)
    var parmsToUrl = ''
    if (method === '' || method === null || method === undefined || method === 'undefined')
        method = 'post'
    if (method.toUpperCase() === "GET" && data != '' && null != data) {
        parmsToUrl = '?' + data
        return request({
            url: baseurl + url + parmsToUrl,
            method: method,
            datas
        })
    }else if (method.toUpperCase() === "DELETE" && datas != '' && null != datas) {
        return request({
            url: baseurl + url,
            method: method,
            params: datas
        })
    } else {
        return request({
            url: baseurl + url,
            method: method,
            data
        })
    }
}




export default netWork;





